# studio::Dialog_Keyframe Class Reference

`#include <dialog_keyframe.h>`

List of all members.

## Public Member Functions

| Dialog_Keyframe (Gtk::Window &parent, etl::handle< synfigapp::CanvasInterface > canvas_interface)
| ~Dialog_Keyframe ()
const synfig::Keyframe & | get_keyframe () const
void | set_keyframe (const synfig::Keyframe &x)

## Constructor & Destructor Documentation

Dialog_Keyframe::Dialog_Keyframe | ( | Gtk::Window & | parent,
|  | etl::handle< synfigapp::CanvasInterface > | canvas_interface |
| ) |  |  |

References _.

Dialog_Keyframe::~Dialog_Keyframe | ( |  | ) |

## Member Function Documentation

const synfig::Keyframe & Dialog_Keyframe::get_keyframe | ( |  | ) | const

void Dialog_Keyframe::set_keyframe | ( | const synfig::Keyframe & | x | ) |

Referenced by studio::CanvasView::show_keyframe_dialog().

The documentation for this class was generated from the following files:

- dialog_keyframe.h
- dialog_keyframe.cpp